| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::detail::BundleAdjusterAffinePartial Class Reference
Images stitching » Rotation Estimation

Bundle adjuster that expects affine transformation with 4 DOF represented in homogeneous coordinates in R for each camera param. Implements camera parameters refinement algorithm which minimizes sum of the reprojection error squares. More...

`#include <opencv2/stitching/detail/motion_estimators.hpp>`

Collaboration diagram for cv::detail::BundleAdjusterAffinePartial:

## Public Member Functions
| BundleAdjusterAffinePartial ()
Public Member Functions inherited from cv::detail::BundleAdjusterBase
double | confThresh () const
Mat | refinementMask () const
void | setConfThresh (double conf_thresh)
void | setRefinementMask (const Mat &mask)
void | setTermCriteria (const TermCriteria &term_criteria)
TermCriteria | termCriteria ()
Public Member Functions inherited from cv::detail::Estimator
virtual | ~Estimator ()
bool | operator() (const std::vector< ImageFeatures > &features, const std::vector< MatchesInfo > &pairwise_matches, std::vector< CameraParams > &cameras)
| Estimates camera parameters.

## Additional Inherited Members
Protected Member Functions inherited from cv::detail::BundleAdjusterBase
| BundleAdjusterBase (int num_params_per_cam, int num_errs_per_measurement)
| Construct a bundle adjuster base instance.
virtual bool | estimate (const std::vector< ImageFeatures > &features, const std::vector< MatchesInfo > &pairwise_matches, std::vector< CameraParams > &cameras) CV_OVERRIDE
| This method must implement camera parameters estimation logic in order to make the wrapper detail::Estimator::operator()_ work.
Protected Member Functions inherited from cv::detail::Estimator
Protected Attributes inherited from cv::detail::BundleAdjusterBase
Mat | cam_params_
double | conf_thresh_
std::vector< std::pair< int, int > > | edges_
const ImageFeatures * | features_
int | num_errs_per_measurement_
int | num_images_
int | num_params_per_cam_
const MatchesInfo * | pairwise_matches_
Mat | refinement_mask_
TermCriteria | term_criteria_
int | total_num_matches_

## Detailed Description

Bundle adjuster that expects affine transformation with 4 DOF represented in homogeneous coordinates in R for each camera param. Implements camera parameters refinement algorithm which minimizes sum of the reprojection error squares.

It estimates all transformation parameters. Refinement mask is ignored.

See also
  AffineBasedEstimator AffineBestOf2NearestMatcher BundleAdjusterAffine

## Constructor & Destructor Documentation

## ◆ BundleAdjusterAffinePartial()

cv::detail::BundleAdjusterAffinePartial::BundleAdjusterAffinePartial | ( |  | ) |
| inline

Python:
| cv.detail.BundleAdjusterAffinePartial( |  | ) -> | <detail_BundleAdjusterAffinePartial object>

The documentation for this class was generated from the following file:

- opencv2/stitching/detail/motion_estimators.hpp